.github: move some build & test pieces from pipeline to script

Signed-off-by: Enrico Weigelt, metux IT consult <info@metux.net>
This commit is contained in:
Enrico Weigelt, metux IT consult
2026-02-17 17:08:12 +01:00
committed by Enrico Weigelt
parent 09fdd4ea55
commit 6d6f2b3a98
3 changed files with 25 additions and 8 deletions

View File

@@ -18,6 +18,3 @@ build_meson xorgproto $(fdo_mirror xorgproto) xorgp
build_ac_xts xts $(fdo_mirror xts) 6cf94400a09abecd6b86e4eb6441741acecd51f6
clone_source piglit $(fdo_mirror piglit) 59111996534f875ca88bce51f21fa2e6564895da
echo '[xts]' > piglit/piglit.conf
echo "path=$X11_BUILD_DIR/xts" >> piglit/piglit.conf

23
.github/scripts/run-xserver-build-and-test.sh vendored Executable file
View File

@@ -0,0 +1,23 @@
#!/bin/bash
set -e
if [ ! "$X11_BUILD_DIR" ]; then
echo "missing X11_BUILD_DIR" >&2
exit 1
fi
if [ ! "$MESON_BUILDDIR" ]; then
echo "missing MESON_BUILDDIR" >&2
exit 1
fi
echo "=== X11_BUILD_DIR=$X11_BUILD_DIR"
echo "=== MESON_BUILDDIR=$MESON_BUILDDIR"
.github/scripts/meson-build.sh
echo '[xts]' > $X11_BUILD_DIR/piglit/piglit.conf
echo "path=$X11_BUILD_DIR/xts" >> $X11_BUILD_DIR/piglit/piglit.conf
meson test -C "$MESON_BUILDDIR" --print-errorlogs

View File

@@ -54,11 +54,8 @@ jobs:
- name: generic prereq
run: .github/scripts/install-prereq.sh
- name: build
run: .github/scripts/meson-build.sh
- name: tests
run: meson test -C "${{ env.MESON_BUILDDIR }}" --print-errorlogs
- name: build and test
run: .github/scripts/run-xserver-build-and-test.sh
env:
XTEST_DIR: ${{ env.X11_BUILD_DIR }}/xts
PIGLIT_DIR: ${{ env.X11_BUILD_DIR }}/piglit